| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Member Functions | Static Private Member Functions | Private Attributes | Friends | List of all members
uiListBox Class Reference
uiBase

`#include <uilistbox.h>`

Inheritance diagram for uiListBox:
[legend]

## Classes
class | Setup

## Public Types
enum | DecorationPos { Left , Right }
enum | DecorationType { Pixmap , Star , Legacy , Invisible , None }
enum | LblPos { LeftTop , RightTop , LeftMid , RightMid , AboveLeft , AboveMid , AboveRight , BelowLeft , BelowMid , BelowRight }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
| uiListBox (uiParent *, const BufferStringSet &, const char *nm, OD::ChoiceMode cm, int prefNrLines=0, int prefFieldWidth=0)
| uiListBox (uiParent *, const BufferStringSet &, const char *nm=0)
| uiListBox (uiParent *, const char *nm, OD::ChoiceMode cm=OD::ChooseOnlyOne)
| uiListBox (uiParent *, const Setup &, const char *nm)
| uiListBox (uiParent *, const uiString &lbl, OD::ChoiceMode cm=OD::ChooseOnlyOne, uiListBox::LblPos lp=uiListBox::LeftTop, const char *nm="listbox")
| uiListBox (uiParent *, const uiStringSet &, const char *nm, OD::ChoiceMode cm, int prefNrLines=0, int prefFieldWidth=0)
virtual | ~uiListBox ()
void | addItem (const char *str, bool marked=false, int id=-1)
void | addItem (const uiString &, bool marked=false, int id=-1)
void | addItem (const uiString &, const OD::Color &, int id=-1)
void | addItem (const uiString &, const uiPixmap &, int id=-1)
void | addItems (const BufferStringSet &)
void | addItems (const char **)
void | addItems (const uiStringSet &)
void | addLabel (const uiString &, LblPos)
Alignment::HPos | alignment () const
void | blockScrolling (bool yn)
uiGroup * | checkGroup ()
OD::ChoiceMode | choiceMode () const
void | chooseAll (bool yn=true)
int | currentItem () const
int | currentItemID () const
void | disableRightClick (bool yn)
void | displayItem (int, bool)
bool | dragEnabled () const
int | firstChosen () const
void | getChosen (BufferStringSet &) const
void | getChosen (TypeSet< int > &) const
OD::Color | getColor (int) const
int | getItemID (int idx) const
int | getItemIdx (int id) const
| First match.
void | getItems (BufferStringSet &) const
const char * | getText () const
bool | handleLongTabletPress ()
int | indexOf (const char *) const
| First match.
void | insertItem (const uiString &, const OD::Color &, int idx=-1, int id=-1)
void | insertItem (const uiString &, const uiPixmap &, int idx=-1, int id=-1)
void | insertItem (const uiString &, int idx=-1, bool marked=false, int id=-1)
bool | isChoosable (int) const
bool | isChosen (int) const
bool | isEmpty () const
bool | isItemChecked (int) const
| To be called by CmdDriver only, not for casual use.
bool | isMarked (int) const
bool | isMultiChoice () const
bool | isPresent (const char *) const
uiLabel * | label (int nr=0)
uiCheckBox * | masterCheckBox ()
int | maxNrOfChoices () const
| mOD_DisableCopy (uiListBox) uiListBoxObj *box()
int | nextChosen (int prev=-1) const
int | nrChosen () const
int | nrLabels () const
void | offerReadWriteSelection (const CallBack &readcb, const CallBack &writecb)
uiCheckBox * | primaryCheckBox ()
void | removeItem (const char *)
void | removeItem (const StringView &fs)
void | removeItem (int)
void | resizeHeightToContents (int minh=-1, int maxh=-1)
void | resizeToContents (int minw=-1, int maxw=-1, int minh=-1, int maxh=-1)
void | resizeWidthToContents (int minw=-1, int maxw=-1)
void | scrollToBottom ()
void | scrollToTop ()
void | setAlignment (Alignment::HPos)
void | setAllowDuplicates (bool yn)
void | setAllowNoneChosen (bool)
void | setBold (int, bool)
void | setChoiceMode (OD::ChoiceMode)
void | setChoosable (int, bool yn)
void | setChosen (const BufferStringSet &)
void | setChosen (const TypeSet< int > &)
void | setChosen (int, bool yn=true)
void | setChosen (Interval< int >, bool yn=true)
void | setColor (int, const OD::Color &)
void | setCurrentItem (const char *)
| First match.
void | setCurrentItem (const StringView &fs)
void | setCurrentItem (int)
void | setDefaultColor (int)
void | setDragEnabled (bool)
void | setEmpty ()
void | setFieldWidth (int)
void | setHSzPol (uiObject::SzPolicy)
void | setIcon (int, const char *icon_identifier)
void | setItemID (int idx, int id)
void | setItemSelectable (int, bool)
void | setItemText (int idx, const char *txt)
void | setItemText (int, const uiString &)
void | setLabelText (const uiString &, int nr=0)
void | setMarked (int, DecorationType markingop=Legacy)
void | setMultiChoice (bool yn=true)
void | setNotSelectable ()
void | setNrLines (int)
void | setPixmap (int, const OD::Color &, DecorationPos=Left)
void | setPixmap (int, const uiPixmap &, DecorationPos=Left)
void | setVSzPol (uiObject::SzPolicy)
int | size () const
void | sortItems (bool asc=true)
const char * | textOfItem (int) const
bool | validIdx (int) const
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< uiListBox > | checkAllClicked
Notifier< uiListBox > | deleteButtonPressed
Notifier< uiListBox > | doubleClicked
CNotifier< uiListBox, int > | itemChosen
Notifier< uiListBox > | leftButtonClicked
Notifier< uiListBox > | rightButtonClicked
Notifier< uiListBox > | selectionChanged

## Protected Member Functions
void | addItemNoUpdate (const uiString &, bool marked=false, int id=-1)
void | checkCB (CallBacker *)
void | mkCheckGroup ()
void | mkLabel (const uiString &, LblPos)
void | updateCheckState ()
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
uiCheckBox * | cb_
uiGroup * | checkgrp_
uiListBoxObj * | lb_
ObjectSet< uiLabel > | lbls_
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Member Functions
void | checkAllClickedCB (CallBacker *)
void | getCheckedItems (BufferStringSet &) const
void | getCheckedItems (TypeSet< int > &) const
DecorationType | getDecorationType (int) const
| ‍Gives clean text of marked object
BufferString | getUnmarkedText (int) const
void | handleCheckChange (QListWidgetItem *)
bool | hasCheckedItems () const
void | initNewItem (int)
bool | isItemChecked (const char *) const
bool | isNone () const
void | menuCB (CallBacker *)
int | nrChecked () const
int | optimumFieldWidth (int minwdth=20, int maxwdth=40) const
void | removePixmap (int)
void | retrieveCB (CallBacker *)
void | saveCB (CallBacker *)
void | setAllItemsChecked (bool)
void | setCheckedItems (const BufferStringSet &)
void | setCheckedItems (const TypeSet< int > &)
void | setItemCheckable (int, bool)
void | setItemChecked (const char *, bool)
void | setItemChecked (int, bool)
void | setItemsCheckable (bool yn)
void | setMarked (int, bool)
void | translateText () override
void | updateFields2ChoiceMode ()
void | updateReadWriteButtonState ()
void | usrChooseAll (bool yn=true)

## Static Private Member Functions
static int | cDefNrLines ()
| == 7

## Private Attributes
Alignment::HPos | alignment_ = Alignment::Left
bool | allowduplicates_ = true
bool | allshown_ = true
bool | bulkcheckchg_ = false
OD::ButtonState | buttonstate_ = OD::NoButton
OD::ChoiceMode | choicemode_
uiToolButton * | openbut_ = nullptr
CallBack | opencb_
BufferString | rettxt_
uiMenu & | rightclickmnu_
uiToolButton * | savebut_ = nullptr
CallBack | savecb_
bool | scrollingblocked_ = false

## Friends
class | i_listMessenger
class | uiListBoxBody

## Additional Inherited Members
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ DecorationPos

enum uiListBox::DecorationPos

Enumerator
Left |
Right |

## ◆ DecorationType

enum uiListBox::DecorationType

Enumerator
Pixmap |
Star |
Legacy |
Invisible |
None |

## ◆ LblPos

enum uiListBox::LblPos

Enumerator
LeftTop |
RightTop |
LeftMid |
RightMid |
AboveLeft |
AboveMid |
AboveRight |
BelowLeft |
BelowMid |
BelowRight |

## Constructor & Destructor Documentation

## ◆ uiListBox() [1/6]

uiListBox::uiListBox | ( | uiParent * | ,
|  | const char * | nm,
|  | OD::ChoiceMode | cm = OD::ChooseOnlyOne )

## ◆ uiListBox() [2/6]

uiListBox::uiListBox | ( | uiParent * | ,
|  | const Setup & | ,
|  | const char * | nm )

## ◆ uiListBox() [3/6]

uiListBox::uiListBox | ( | uiParent * | ,
|  | const uiString & | lbl,
|  | OD::ChoiceMode | cm = OD::ChooseOnlyOne,
|  | uiListBox::LblPos | lp = uiListBox::LeftTop,
|  | const char * | nm = "listbox" )

## ◆ ~uiListBox()

virtual uiListBox::~uiListBox | ( |  | ) |
| virtual

## ◆ uiListBox() [4/6]

uiListBox::uiListBox | ( | uiParent * | ,
|  | const BufferStringSet & | ,
|  | const char * | nm = 0 )

## ◆ uiListBox() [5/6]

uiListBox::uiListBox | ( | uiParent * | ,
|  | const BufferStringSet & | ,
|  | const char * | nm,
|  | OD::ChoiceMode | cm,
|  | int | prefNrLines = 0,
|  | int | prefFieldWidth = 0 )

## ◆ uiListBox() [6/6]

uiListBox::uiListBox | ( | uiParent * | ,
|  | const uiStringSet & | ,
|  | const char * | nm,
|  | OD::ChoiceMode | cm,
|  | int | prefNrLines = 0,
|  | int | prefFieldWidth = 0 )

## Member Function Documentation

## ◆ addItem() [1/4]

void uiListBox::addItem | ( | const char * | str,
|  | bool | marked = false,
|  | int | id = -1 )
| inline

## ◆ addItem() [2/4]

void uiListBox::addItem | ( | const uiString & | ,
|  | bool | marked = false,
|  | int | id = -1 )

## ◆ addItem() [3/4]

void uiListBox::addItem | ( | const uiString & | ,
|  | const OD::Color & | ,
|  | int | id = -1 )

## ◆ addItem() [4/4]

void uiListBox::addItem | ( | const uiString & | ,
|  | const uiPixmap & | ,
|  | int | id = -1 )

## ◆ addItemNoUpdate()

void uiListBox::addItemNoUpdate | ( | const uiString & | ,
|  | bool | marked = false,
|  | int | id = -1 )
| protected

## ◆ addItems() [1/3]

void uiListBox::addItems | ( | const BufferStringSet & |  | ) |

## ◆ addItems() [2/3]

void uiListBox::addItems | ( | const char ** |  | ) |

## ◆ addItems() [3/3]

void uiListBox::addItems | ( | const uiStringSet & |  | ) |

## ◆ addLabel()

void uiListBox::addLabel | ( | const uiString & | ,
|  | LblPos | )

## ◆ alignment()

Alignment::HPos uiListBox::alignment | ( |  | ) | const
| inline

## ◆ blockScrolling()

void uiListBox::blockScrolling | ( | bool | yn | ) |
| inline

## ◆ cDefNrLines()

static int uiListBox::cDefNrLines | ( |  | ) |
| static private

== 7

## ◆ checkAllClickedCB()

void uiListBox::checkAllClickedCB | ( | CallBacker * |  | ) |
| private

## ◆ checkCB()

void uiListBox::checkCB | ( | CallBacker * |  | ) |
| protected

## ◆ checkGroup()

uiGroup * uiListBox::checkGroup | ( |  | ) |
| inline

## ◆ choiceMode()

OD::ChoiceMode uiListBox::choiceMode | ( |  | ) | const
| inline

## ◆ chooseAll()

void uiListBox::chooseAll | ( | bool | yn = true | ) |

## ◆ currentItem()

int uiListBox::currentItem | ( |  | ) | const

## ◆ currentItemID()

int uiListBox::currentItemID | ( |  | ) | const

## ◆ disableRightClick()

void uiListBox::disableRightClick | ( | bool | yn | ) |

## ◆ displayItem()

void uiListBox::displayItem | ( | int | ,
|  | bool | )

## ◆ dragEnabled()

bool uiListBox::dragEnabled | ( |  | ) | const

## ◆ firstChosen()

int uiListBox::firstChosen | ( |  | ) | const

## ◆ getCheckedItems() [1/2]

void uiListBox::getCheckedItems | ( | BufferStringSet & |  | ) | const
| private

## ◆ getCheckedItems() [2/2]

void uiListBox::getCheckedItems | ( | TypeSet< int > & |  | ) | const
| private

## ◆ getChosen() [1/2]

void uiListBox::getChosen | ( | BufferStringSet & |  | ) | const

## ◆ getChosen() [2/2]

void uiListBox::getChosen | ( | TypeSet< int > & |  | ) | const

## ◆ getColor()

OD::Color uiListBox::getColor | ( | int |  | ) | const

## ◆ getDecorationType()

DecorationType uiListBox::getDecorationType | ( | int |  | ) | const
| private

> ‍Gives clean text of marked object

## ◆ getItemID()

int uiListBox::getItemID | ( | int | idx | ) | const

## ◆ getItemIdx()

int uiListBox::getItemIdx | ( | int | id | ) | const

First match.

## ◆ getItems()

void uiListBox::getItems | ( | BufferStringSet & |  | ) | const

## ◆ getText()

const char * uiListBox::getText | ( |  | ) | const
| inline

## ◆ getUnmarkedText()

BufferString uiListBox::getUnmarkedText | ( | int |  | ) | const
| private

## ◆ handleCheckChange()

void uiListBox::handleCheckChange | ( | QListWidgetItem * |  | ) |
| private

## ◆ handleLongTabletPress()

bool uiListBox::handleLongTabletPress | ( |  | ) |

## ◆ hasCheckedItems()

bool uiListBox::hasCheckedItems | ( |  | ) | const
| private

## ◆ indexOf()

int uiListBox::indexOf | ( | const char * |  | ) | const

First match.

## ◆ initNewItem()

void uiListBox::initNewItem | ( | int |  | ) |
| private

## ◆ insertItem() [1/3]

void uiListBox::insertItem | ( | const uiString & | ,
|  | const OD::Color & | ,
|  | int | idx = -1,
|  | int | id = -1 )

## ◆ insertItem() [2/3]

void uiListBox::insertItem | ( | const uiString & | ,
|  | const uiPixmap & | ,
|  | int | idx = -1,
|  | int | id = -1 )

## ◆ insertItem() [3/3]

void uiListBox::insertItem | ( | const uiString & | ,
|  | int | idx = -1,
|  | bool | marked = false,
|  | int | id = -1 )

## ◆ isChoosable()

bool uiListBox::isChoosable | ( | int |  | ) | const

## ◆ isChosen()

bool uiListBox::isChosen | ( | int |  | ) | const

## ◆ isEmpty()

bool uiListBox::isEmpty | ( |  | ) | const
| inline

## ◆ isItemChecked() [1/2]

bool uiListBox::isItemChecked | ( | const char * |  | ) | const
| private

## ◆ isItemChecked() [2/2]

bool uiListBox::isItemChecked | ( | int |  | ) | const

To be called by CmdDriver only, not for casual use.

## ◆ isMarked()

bool uiListBox::isMarked | ( | int |  | ) | const

## ◆ isMultiChoice()

bool uiListBox::isMultiChoice | ( |  | ) | const
| inline

## ◆ isNone()

bool uiListBox::isNone | ( |  | ) | const
| inline private

## ◆ isPresent()

bool uiListBox::isPresent | ( | const char * |  | ) | const

## ◆ label()

uiLabel * uiListBox::label | ( | int | nr = 0 | ) |
| inline

## ◆ masterCheckBox()

uiCheckBox * uiListBox::masterCheckBox | ( |  | ) |
| inline

## ◆ maxNrOfChoices()

int uiListBox::maxNrOfChoices | ( |  | ) | const

## ◆ menuCB()

void uiListBox::menuCB | ( | CallBacker * |  | ) |
| private

## ◆ mkCheckGroup()

void uiListBox::mkCheckGroup | ( |  | ) |
| protected

## ◆ mkLabel()

void uiListBox::mkLabel | ( | const uiString & | ,
|  | LblPos | )
| protected

## ◆ mOD_DisableCopy()

uiListBox::mOD_DisableCopy | ( | uiListBox |  | ) |
| inline

## ◆ nextChosen()

int uiListBox::nextChosen | ( | int | prev = -1 | ) | const

## ◆ nrChecked()

int uiListBox::nrChecked | ( |  | ) | const
| private

## ◆ nrChosen()

int uiListBox::nrChosen | ( |  | ) | const

## ◆ nrLabels()

int uiListBox::nrLabels | ( |  | ) | const
| inline

## ◆ offerReadWriteSelection()

void uiListBox::offerReadWriteSelection | ( | const CallBack & | readcb,
|  | const CallBack & | writecb )

## ◆ optimumFieldWidth()

int uiListBox::optimumFieldWidth | ( | int | minwdth = 20,
|  | int | maxwdth = 40 ) const
| private

## ◆ primaryCheckBox()

uiCheckBox * uiListBox::primaryCheckBox | ( |  | ) |
| inline

## ◆ removeItem() [1/3]

void uiListBox::removeItem | ( | const char * |  | ) |

## ◆ removeItem() [2/3]

void uiListBox::removeItem | ( | const StringView & | fs | ) |
| inline

## ◆ removeItem() [3/3]

void uiListBox::removeItem | ( | int |  | ) |

## ◆ removePixmap()

void uiListBox::removePixmap | ( | int |  | ) |
| private

## ◆ resizeHeightToContents()

void uiListBox::resizeHeightToContents | ( | int | minh = -1,
|  | int | maxh = -1 )

## ◆ resizeToContents()

void uiListBox::resizeToContents | ( | int | minw = -1,
|  | int | maxw = -1,
|  | int | minh = -1,
|  | int | maxh = -1 )

## ◆ resizeWidthToContents()

void uiListBox::resizeWidthToContents | ( | int | minw = -1,
|  | int | maxw = -1 )

## ◆ retrieveCB()

void uiListBox::retrieveCB | ( | CallBacker * |  | ) |
| private

## ◆ saveCB()

void uiListBox::saveCB | ( | CallBacker * |  | ) |
| private

## ◆ scrollToBottom()

void uiListBox::scrollToBottom | ( |  | ) |

## ◆ scrollToTop()

void uiListBox::scrollToTop | ( |  | ) |

## ◆ setAlignment()

void uiListBox::setAlignment | ( | Alignment::HPos |  | ) |

## ◆ setAllItemsChecked()

void uiListBox::setAllItemsChecked | ( | bool |  | ) |
| private

## ◆ setAllowDuplicates()

void uiListBox::setAllowDuplicates | ( | bool | yn | ) |

## ◆ setAllowNoneChosen()

void uiListBox::setAllowNoneChosen | ( | bool |  | ) |

## ◆ setBold()

void uiListBox::setBold | ( | int | ,
|  | bool | )

## ◆ setCheckedItems() [1/2]

void uiListBox::setCheckedItems | ( | const BufferStringSet & |  | ) |
| private

## ◆ setCheckedItems() [2/2]

void uiListBox::setCheckedItems | ( | const TypeSet< int > & |  | ) |
| private

## ◆ setChoiceMode()

void uiListBox::setChoiceMode | ( | OD::ChoiceMode |  | ) |

## ◆ setChoosable()

void uiListBox::setChoosable | ( | int | ,
|  | bool | yn )

## ◆ setChosen() [1/4]

void uiListBox::setChosen | ( | const BufferStringSet & |  | ) |

## ◆ setChosen() [2/4]

void uiListBox::setChosen | ( | const TypeSet< int > & |  | ) |

## ◆ setChosen() [3/4]

void uiListBox::setChosen | ( | int | ,
|  | bool | yn = true )

## ◆ setChosen() [4/4]

void uiListBox::setChosen | ( | Interval< int > | ,
|  | bool | yn = true )

## ◆ setColor()

void uiListBox::setColor | ( | int | ,
|  | const OD::Color & | )

## ◆ setCurrentItem() [1/3]

void uiListBox::setCurrentItem | ( | const char * |  | ) |

First match.

## ◆ setCurrentItem() [2/3]

void uiListBox::setCurrentItem | ( | const StringView & | fs | ) |
| inline

## ◆ setCurrentItem() [3/3]

void uiListBox::setCurrentItem | ( | int |  | ) |

## ◆ setDefaultColor()

void uiListBox::setDefaultColor | ( | int |  | ) |

## ◆ setDragEnabled()

void uiListBox::setDragEnabled | ( | bool |  | ) |

## ◆ setEmpty()

void uiListBox::setEmpty | ( |  | ) |

## ◆ setFieldWidth()

void uiListBox::setFieldWidth | ( | int |  | ) |

## ◆ setHSzPol()

void uiListBox::setHSzPol | ( | uiObject::SzPolicy |  | ) |

## ◆ setIcon()

void uiListBox::setIcon | ( | int | ,
|  | const char * | icon_identifier )

## ◆ setItemCheckable()

void uiListBox::setItemCheckable | ( | int | ,
|  | bool | )
| private

## ◆ setItemChecked() [1/2]

void uiListBox::setItemChecked | ( | const char * | ,
|  | bool | )
| private

## ◆ setItemChecked() [2/2]

void uiListBox::setItemChecked | ( | int | ,
|  | bool | )
| private

## ◆ setItemID()

void uiListBox::setItemID | ( | int | idx,
|  | int | id )

## ◆ setItemsCheckable()

void uiListBox::setItemsCheckable | ( | bool | yn | ) |
| inline private

## ◆ setItemSelectable()

void uiListBox::setItemSelectable | ( | int | ,
|  | bool | )

## ◆ setItemText() [1/2]

void uiListBox::setItemText | ( | int | idx,
|  | const char * | txt )
| inline

## ◆ setItemText() [2/2]

void uiListBox::setItemText | ( | int | ,
|  | const uiString & | )

## ◆ setLabelText()

void uiListBox::setLabelText | ( | const uiString & | ,
|  | int | nr = 0 )

## ◆ setMarked() [1/2]

void uiListBox::setMarked | ( | int | ,
|  | bool | )
| private

## ◆ setMarked() [2/2]

void uiListBox::setMarked | ( | int | ,
|  | DecorationType | markingop = Legacy )

## ◆ setMultiChoice()

void uiListBox::setMultiChoice | ( | bool | yn = true | ) |

## ◆ setNotSelectable()

void uiListBox::setNotSelectable | ( |  | ) |

## ◆ setNrLines()

void uiListBox::setNrLines | ( | int |  | ) |

## ◆ setPixmap() [1/2]

void uiListBox::setPixmap | ( | int | ,
|  | const OD::Color & | ,
|  | DecorationPos | = Left )

## ◆ setPixmap() [2/2]

void uiListBox::setPixmap | ( | int | ,
|  | const uiPixmap & | ,
|  | DecorationPos | = Left )

## ◆ setVSzPol()

void uiListBox::setVSzPol | ( | uiObject::SzPolicy |  | ) |

## ◆ size()

int uiListBox::size | ( |  | ) | const

## ◆ sortItems()

void uiListBox::sortItems | ( | bool | asc = true | ) |

## ◆ textOfItem()

const char * uiListBox::textOfItem | ( | int |  | ) | const

## ◆ translateText()

void uiListBox::translateText | ( |  | ) |
| override private virtual

Triggers translation of object and all members to current language.

Reimplemented from uiBaseObject.

## ◆ updateCheckState()

void uiListBox::updateCheckState | ( |  | ) |
| protected

## ◆ updateFields2ChoiceMode()

void uiListBox::updateFields2ChoiceMode | ( |  | ) |
| private

## ◆ updateReadWriteButtonState()

void uiListBox::updateReadWriteButtonState | ( |  | ) |
| private

## ◆ usrChooseAll()

void uiListBox::usrChooseAll | ( | bool | yn = true | ) |
| private

## ◆ validIdx()

bool uiListBox::validIdx | ( | int |  | ) | const

## Friends And Related Symbol Documentation

## ◆ i_listMessenger

friend class i_listMessenger
| friend

## ◆ uiListBoxBody

friend class uiListBoxBody
| friend

## Member Data Documentation

## ◆ alignment_

Alignment::HPos uiListBox::alignment_ = Alignment::Left
| private

## ◆ allowduplicates_

bool uiListBox::allowduplicates_ = true
| private

## ◆ allshown_

bool uiListBox::allshown_ = true
| private

## ◆ bulkcheckchg_

bool uiListBox::bulkcheckchg_ = false
| private

## ◆ buttonstate_

OD::ButtonState uiListBox::buttonstate_ = OD::NoButton
| private

## ◆ cb_

uiCheckBox* uiListBox::cb_
| protected

## ◆ checkAllClicked

Notifier<uiListBox> uiListBox::checkAllClicked

## ◆ checkgrp_

uiGroup* uiListBox::checkgrp_
| protected

## ◆ choicemode_

OD::ChoiceMode uiListBox::choicemode_
| private

## ◆ deleteButtonPressed

Notifier<uiListBox> uiListBox::deleteButtonPressed

## ◆ doubleClicked

Notifier<uiListBox> uiListBox::doubleClicked

## ◆ itemChosen

CNotifier<uiListBox,int> uiListBox::itemChosen

## ◆ lb_

uiListBoxObj* uiListBox::lb_
| protected

## ◆ lbls_

ObjectSet<uiLabel> uiListBox::lbls_
| protected

## ◆ leftButtonClicked

Notifier<uiListBox> uiListBox::leftButtonClicked

## ◆ openbut_

uiToolButton* uiListBox::openbut_ = nullptr
| private

## ◆ opencb_

CallBack uiListBox::opencb_
| private

## ◆ rettxt_

BufferString uiListBox::rettxt_
| mutable private

## ◆ rightButtonClicked

Notifier<uiListBox> uiListBox::rightButtonClicked

## ◆ rightclickmnu_

uiMenu& uiListBox::rightclickmnu_
| private

## ◆ savebut_

uiToolButton* uiListBox::savebut_ = nullptr
| private

## ◆ savecb_

CallBack uiListBox::savecb_
| private

## ◆ scrollingblocked_

bool uiListBox::scrollingblocked_ = false
| private

## ◆ selectionChanged

Notifier<uiListBox> uiListBox::selectionChanged

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025